Skip to content

Configure DB Backup

PUT
/api/v1/cdpbackup/database_update/{node_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/database_update/{node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"db_username": "admin",
"db_password": "admin@1234"
}'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Specifies the backup target location.

Example

<LOCATION>
Media typeapplication/json
object
db_username

Database username for backup configuration

string

Example

admin
db_password

Database password used for backup configuration

string

Example

admin@1234

Successful response

Media typeapplication/json
object
code

HTTP status code of the Configure DB Backup response

integer
data

Result message for the DB backup configuration request.

string
errors
object
message

Status message indicating the result of the backup configuration request.

string

Example

{
"code": 200,
"data": "Database settings has been updated successfully.",
"message": "Success"
}